com.trendmicro.ds.platform.rest.api

## Interface IAdministratorAPI

-     @Path(value="/administrators")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IAdministratorAPI

  Interface to the Administrator API.

  Deep Security administrators can sign in to the Deep Security Manager or use the Deep Security Manager APIs with a unique username and password. Learn more

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateAdministratorResponse` | `createAdministrator(java.lang.String sessionID, CreateAdministratorRequest createAdministratorRequest)` Create a new administrator.
    `void` | `deleteAdministrator(java.lang.String sessionID, java.lang.Integer administratorID)` Delete an administrator.
    `DescribeAdministratorResponse` | `describeAdministrator(java.lang.String sessionID, java.lang.Integer administratorID)` Describe an administrator.
    `ListAdministratorsResponse` | `listAdministrators(java.lang.String sessionID, java.lang.Integer administratorID, java.lang.String administratorIDOp, java.lang.Integer maxItems)` List administrators.
    `ModifyAdministratorResponse` | `modifyAdministrator(java.lang.String sessionID, java.lang.Integer administratorID, ModifyAdministratorRequest modifyAdministratorRequest)` Modify an administrator.

- - ### Method Detail

    - #### listAdministrators

          @GET
          ListAdministratorsResponse listAdministrators(@CookieParam(value="sID")
                                                             java.lang.String sessionID,
                                                             @QueryParam(value="administratorID")
                                                             java.lang.Integer administratorID,
                                                             @QueryParam(value="administratorIDOp")
                                                             java.lang.String administratorIDOp,
                                                             @QueryParam(value="maxItems")
                                                             java.lang.Integer maxItems)
                                                      throws java.lang.Exception

      List administrators.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `administratorID` - (optional) used to define the starting point for the query. Combine with `administratorIDOp` to page through results.
        `administratorIDOp` - (optional, required if `administratorID` is specified) Currently supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a `ListAdministratorsResponse` with the administrator details.
      Throws:
        `java.lang.Exception`

    - #### createAdministrator

          @POST
          CreateAdministratorResponse createAdministrator(@CookieParam(value="sID")
                                                                java.lang.String sessionID,
                                                                CreateAdministratorRequest createAdministratorRequest)
                                                         throws java.lang.Exception

      Create a new administrator.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `createAdministratorRequest` - a `CreateAdministratorRequest` with the administrator details.
      Returns:
        a `CreateAdministratorResponse` with the administrator details.
      Throws:
        `java.lang.Exception`

    - #### describeAdministrator

          @GET
           @Path(value="{administratorID}")
          DescribeAdministratorResponse describeAdministrator(@CookieParam(value="sID")
                                                                                                     java.lang.String sessionID,
                                                                                                     @PathParam(value="administratorID")
                                                                                                     java.lang.Integer administratorID)
                                                                                              throws java.lang.Exception

      Describe an administrator.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `administratorID` - the administrator ID.
      Returns:
        a `DescribeAdministratorResponse` with the administrator details.
      Throws:
        `java.lang.Exception`

    - #### modifyAdministrator

          @POST
           @Path(value="{administratorID}")
          ModifyAdministratorResponse modifyAdministrator(@CookieParam(value="sID")
                                                                                                  java.lang.String sessionID,
                                                                                                  @PathParam(value="administratorID")
                                                                                                  java.lang.Integer administratorID,
                                                                                                  ModifyAdministratorRequest modifyAdministratorRequest)
                                                                                           throws java.lang.Exception

      Modify an administrator.

      Any unset elements in the request object will be left unchanged by the modify request.

      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `administratorID` - the administrator ID.
        `modifyAdministratorRequest` - a `ModifyAdministratorRequest` with the details of the administrator .
      Returns:
        an `ModifyAdministratorResponse` with the updated administrator details.
      Throws:
        `java.lang.Exception`

    - #### deleteAdministrator

          @DELETE
           @Path(value="{administratorID}")
          void deleteAdministrator(@CookieParam(value="sID")
                                                                             java.lang.String sessionID,
                                                                             @PathParam(value="administratorID")
                                                                             java.lang.Integer administratorID)
                                                                      throws java.lang.Exception

      Delete an administrator.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `administratorID` - the administrator ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.